Bug 478198 - Dynamic Loading for Libraries
Dynamic Loading for Libraries
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Adapter (Show other bugs)
3.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 480246
  Show dependency treegraph
 
Reported: 2008-12-27 03:08 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:08:05 EST
Loading JDBC Drivers, Adapters without restarting Penrose
Additional Comments From endisd dated Fri Jun 29 17:32:14 CDT 2007 
This requires support in Penrose Server which will be implemented in version 2.0.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '3',
          'components' => [
                            {
                              'name' => 'Adapter',
                              'id' => '10011'
                            },
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            },
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-226',
          'assignee' => 'ugorox',
          'summary' => 'Dynamic Loading for Libraries',
          'id' => '10721',
          'updated' => '2008-03-21 10:46:04.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Loading JDBC Drivers, Adapters without restarting Penrose',
          'created' => '2007-06-18 12:15:19.0',
          'type' => '2'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-01-28 18:34:00 EST
Jar files (e.g. JDBC drivers) and compiled Java classes can be loaded without restarting Penrose by storing them in the partition's DIR-INF/lib and DIR-INF/classes respectively and then restarting the partition via Penrose Studio.

Adding/removing jar files in the server's lib, lib/ext, or server/lib folder requires server restart.

Note You need to log in before you can comment on or make changes to this bug.